Freeciv-3.2: /fast/freeciv/nightly/S3_2/server/aiiface.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Functions
aiiface.h File Reference
`#include "ai.h"`

Go to the source code of this file.

## Functions

void | ai_init (void)
bool | load_ai_module (const char *modname)
const char * | default_ai_type_name (void)
void | call_incident (enum incident_type type, enum casus_belli_range scope, const struct action *paction, struct player *violator, struct player *victim)
void | call_ai_refresh (void)
bool | set_default_ai_type_name (const char *name)

## Function Documentation

## ◆ ai_init()

void ai_init | ( | void |  | ) |

Initialize ai stuff

Definition at line 133 of file aiiface.c.

Referenced by srv_init().

## ◆ call_ai_refresh()

void call_ai_refresh | ( | void |  | ) |

Call ai refresh() callback for all players.

Definition at line 256 of file aiiface.c.

Referenced by server_sniff_all_input().

## ◆ call_incident()

void call_incident | ( | enum incident_type | type,
|  | enum casus_belli_range | scope,
|  | const struct action * | paction,
|  | struct player * | violator,
|  | struct player * | victim
| ) |  |

Call incident function of victim.

Definition at line 237 of file aiiface.c.

Referenced by action_consequence_common(), and handle_diplomacy_cancel_pact().

## ◆ default_ai_type_name()

const char * default_ai_type_name | ( | void |  | ) |

Return name of default ai type.

Definition at line 266 of file aiiface.c.

Referenced by ai_init(), aifill(), api_edit_create_player(), compat_load_020400(), connection_attach_real(), create_animals(), create_barbarian_player(), create_command(), and handle_edit_player_create().

## ◆ load_ai_module()

bool load_ai_module | ( | const char * | modname | ) |

Referenced by ai_init(), and main().

## ◆ set_default_ai_type_name()

bool set_default_ai_type_name | ( | const char * | name | ) |

Set default ai type. Keeps the existing type if the new one cannot be found.

Definition at line 275 of file aiiface.c.

Referenced by ai_init(), and aitype_action().